Comments

Scrapes comments from a TikTok video

1 creditper request
GET
/v1/tiktok/video/comments
curl "https://api.scrapecreators.com/v1/tiktok/video/comments" \
  -H "x-api-key: "
{
  "alias_comment_deleted": false,
  "comments": [
    {
      "author_pin": false,
      "aweme_id": "7463250363559218474",
      "cid": "7463276288959824682",
      "collect_stat": 0,
      "comment_language": "en",
      "comment_post_item_ids": null,
      "create_time": 1737679448,
      "digg_count": 1015,
      "image_list": null,
      "is_author_digged": false,
      "is_comment_translatable": true,
      "label_list": null,
      "no_show": false,
      "reply_comment": null,
      "reply_comment_total": 9,
      "reply_id": "0",
      "reply_to_reply_id": "0",
      "share_info": {
        "acl": {
          "code": 0,
          "extra": "{}"
        },
        "desc": "T’s comment: Mesa and Scottsdale are like 2 different planets",
        "title": "Stopped by the viral @Amici Pizza to figure out if it’s the food or social media that is causing lines around the block",
        "url": "https://m.tiktok.com/v/7463250363559218474.html?_d=eg667chg92f55m&comment_author_id=6851091024770040837&preview_pb=0&share_comment_id=7463276288959824682&share_item_id=7463250363559218474&sharer_language=en&source=h5_m&u_code=0"
      },
      "sort_extra_score": {
        "reply_score": 0.000662,
        "show_more_score": 0.154872
      },
      "sort_tags": "{"top_list":1}",
      "status": 1,
      "stick_position": 0,
      "text": "Mesa and Scottsdale are like 2 different planets",
      "text_extra": [],
      "trans_btn_style": 0,
      "user": {
        "account_labels": null,
        "ad_cover_url": null,
        "advance_feature_item_order": null,
        "advanced_feature_info": null,
        "avatar_thumb": {
          "uri": "tos-useast5-avt-0068-tx/c55c29cdf84e1425b1b21196091ff0fa",
          "url_list": [
            "https://p16-sign.tiktokcdn-us.com/tos-useast5-avt-0068-tx/c55c29cdf84e1425b1b21196091ff0fa~c5_100x100.jpg?lk3s=30310797&nonce=43936&refresh_token=029320089e578f9bb344c916e55ed0da&x-expires=1737835200&x-signature=i3o11tG2jk3jhiLrDWJFW9wPcpY%3D&shp=30310797&shcp=-",
            "https://p19-sign.tiktokcdn-us.com/tos-useast5-avt-0068-tx/c55c29cdf84e1425b1b21196091ff0fa~c5_100x100.jpg?lk3s=30310797&nonce=65776&refresh_token=3b01513328e93f86ed7f2169c42fd1c4&x-expires=1737835200&x-signature=JMqj%2BzZasO88jtapUINrSV3NjUs%3D&shp=30310797&shcp=-",
            "https://p16-sign.tiktokcdn-us.com/tos-useast5-avt-0068-tx/c55c29cdf84e1425b1b21196091ff0fa~c5_100x100.jpeg?lk3s=30310797&nonce=47790&refresh_token=630893d3c025b7c043a6a140b1e4df16&x-expires=1737835200&x-signature=jwGRzMiwDHQwyHWBXufITDBRjWY%3D&shp=30310797&shcp=-"
          ],
          "url_prefix": null
        },
        "bold_fields": null,
        "can_message_follow_status_list": null,
        "can_set_geofencing": null,
        "cha_list": null,
        "cover_url": null,
        "custom_verify": "",
        "enterprise_verify_reason": "",
        "events": null,
        "followers_detail": null,
        "geofencing": null,
        "homepage_bottom_toast": null,
        "item_list": null,
        "mutual_relation_avatars": null,
        "need_points": null,
        "nickname": "T",
        "platform_sync_info": null,
        "predicted_age_group": "4",
        "relative_users": null,
        "search_highlight": null,
        "sec_uid": "MS4wLjABAAAASodmS8uRsGJ88a_6r3rwUunTyAktb3ewrf8SUD2seRcI8fDjViFBcMYIp6KMTM6e",
        "shield_edit_field_info": null,
        "type_label": null,
        "uid": "6851091024770040837",
        "unique_id": "tmoneyhoney18",
        "user_profile_guide": null,
        "user_tags": null,
        "white_cover_url": null
      },
      "user_buried": false,
      "user_digged": 0
    }
  ],
  "cursor": 20,
  "extra": {
    "api_debug_info": null,
    "fatal_item_ids": null,
    "now": 1737751244000
  },
  "has_filtered_comments": 0,
  "has_more": 1,
  "log_pb": {
    "impr_id": "202501242040446F49B909D6FA1D060DD1"
  },
  "reply_style": 2,
  "status_code": 0,
  "status_msg": "",
  "top_gifts": null,
  "total": 269
}

Headers

x-api-key
string
required

Your Scrape Creators API key

Query Parameters

url
string
required

TikTok video URL

cursor
number

Cursor to get more comments. Get 'cursor' from previous response.

Example:
20
trim
boolean

Set to true to get a trimmed response

Example:
false